"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _constants = require("./constants");

const getInitPromise = ({
  promise
}) => new Promise(initResolve => {
  promise[_constants.symbol].initResolve = async (continuation, ...args) => {
    initResolve();
    return await continuation(...args);
  };
});

var _default = getInitPromise;
exports.default = _default;
//# sourceMappingURL=get-init-promise.js.map